org.eclipse.ease.debugging.events.model

## Class EvaluateExpressionRequest

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.model.EvaluateExpressionRequest

All Implemented Interfaces:
  IDebugEvent, IModelRequest

    public class EvaluateExpressionRequest
    extends AbstractEvent
    implements IModelRequest

### Constructor Summary

Constructors
Constructor and Description
`EvaluateExpressionRequest(java.lang.String expression, EaseDebugStackFrame context, java.lang.Object thread, IWatchExpressionListener listener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`EaseDebugStackFrame` `getContext()`
`java.lang.String` `getExpression()`
`IWatchExpressionListener` `getListener()`

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`getThread, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EvaluateExpressionRequest

    public EvaluateExpressionRequest(java.lang.String expression,
                                     EaseDebugStackFrame context,
                                     java.lang.Object thread,
                                     IWatchExpressionListener listener)

### Method Detail

#### getExpression

    public java.lang.String getExpression()

#### getContext

    public EaseDebugStackFrame getContext()

#### getListener

    public IWatchExpressionListener getListener()